Loading...
Searching...
No Matches
Catch::StringStreams Struct Reference

## Public Member Functions

auto | add () -> std::size_t
void | release (std::size_t index)

## Public Attributes

std::vector< Detail::unique_ptr< std::ostringstream > > | m_streams
std::vector< std::size_t > | m_unused
std::ostringstream | m_referenceStream

## Member Function Documentation

## add()

auto Catch::StringStreams::add | ( |  | ) | -> std::size_t

inline

Here is the call graph for this function:

## release()

void Catch::StringStreams::release | ( | std::size_t | index | ) |

inline

## Member Data Documentation

## m_referenceStream

std::ostringstream Catch::StringStreams::m_referenceStream

## m_streams

std::vector<Detail::unique_ptr<std::ostringstream> > Catch::StringStreams::m_streams

## m_unused

std::vector<std::size_t> Catch::StringStreams::m_unused

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.cpp